Subject: Re: drivers/net/wwan/iosm/iosm_ipc_protocol.c:244:36: error: passing argument 3 of 'dma_alloc_coherent' from incompatible pointer type [-Werror=incompatible-pointer-types]

From: Diederik de Haas <[email-masked]>
Date: Mon, 21 Nov 2022 15:16:52 +0100

Hi Chetan,

On Monday, 21 November 2022 14:47:20 CET Kumar, M Chetan wrote:
> I tried reproducing it at my side by compiling kernel for armhf
> configuration [1] but could not reproduce it. Could you please share the
> steps and config details for reproducing it locally so that I can take a
> look at it.

I have a clone of the upstream kernel in ~/dev/kernel.org/linux
You also need a clone of https://salsa.debian.org/kernel-team/linux

All the commands are done from the 'kernel-team/linux' dir.

The configuration file for compilation is generated from the `debian/config` dir.

# Create an 'orig' tarball from upstream 6.1-rc5
$ debian/bin/genorig.py ~/dev/kernel.org/linux/

# set some (cross compile) build options (with 14 cores)
$ export DEB_BUILD_OPTIONS="parallel=14"
$ export DEB_BUILD_PROFILES="cross nodoc pkg.linux.nosource pkg.linux.notools pkg.linux.nokerneldbg"
$ export ARCH=armhf
$ export CC=arm-linux-gnueabihf-gcc-12
$ dpkg-architecture --host-arch armhf

# Clean things up and do the actual build
$ dpkg-architecture -c fakeroot debian/rules maintainerclean
$ dpkg-architecture -c debian/rules orig
$ time dpkg-architecture -c fakeroot debian/rules binary-indep
$ time dpkg-architecture -c fakeroot debian/rules binary-arch

HTH,
  Diederik